> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Event

> Create Event



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/event
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/event:
    post:
      summary: Create Event
      description: Create Event
      operationId: createEvent
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEventDTO'
      responses:
        '200':
          description: Successful response
components:
  schemas:
    CreateEventDTO:
      type: object
      properties:
        locationId:
          type: string
          example: '123456789'
          description: locationId
        type:
          type: string
          example: funnel
          description: type
          enum:
            - funnel
            - website
            - webinar
        funnelId:
          type: string
          example: '123456789'
          description: funnelId
        conversionEnabled:
          type: boolean
          example: 'true'
          description: Send Event via conversion api or code
        level:
          type: string
          example: '123456789'
          description: userId
          enum:
            - funnel
            - website
            - webinar
            - pages
        provider:
          type: string
          example: facebook
          description: provider
          enum:
            - facebook
        pageIds:
          example:
            - '123456789'
          description: pageId
          type: array
          items:
            type: string
        events:
          type: array
          example: page_view
          description: event names
          items:
            type: string
            enum:
              - page_view
        pixelId:
          type: string
          example: '123456789'
          description: pixelId
        accessToken:
          type: string
          example: '123456789'
          description: accessToken
      required:
        - locationId
        - type
        - funnelId
        - conversionEnabled
        - level
        - provider
        - pageIds
        - events
        - pixelId
        - accessToken

````